{{ define "page" }}
<div class="container">
  <br />
  <h1 class="title">Modules</h1>
  <p>This is the list of all 'std' library modules for antibuild. These are maintained by the core antibuild team and should be very stable.</p>
  <br />
  {{ range $id, $module := .modules }}
  <div class="box">
    <div class="columns">
      <div class="column">
        <span class="title is-5">{{ $module.name }}</span> &nbsp;
        <small>{{ $module.latest }}</small>
        <p>{{ $module.description }}</p>      
      </div>
      {{if ne $module.source.type ""}}
        <div class="column is-narrow">
          <a href="{{$module.source.url}}" target="_blank" class="button is-rounded is-small is-dark">Repository</a>
        </div>
      {{end}}    
    </div>
    <br />
    <p>
      <small>Install this module in your project:</small>
    </p>
    <p style="margin-top: 3px;">
      <pre>antibuild modules add {{ $id }}@{{ $module.latest }}</pre>
    </p>
  </div>
  {{ end }}
</div>
{{ end }}
